14.06.2023 13:23    

alisezgin
ilginiz için teşekkürler ama talebim PLİNE için , linkteki line için yazılmış bir komut

15.06.2023 05:53    

BLack|E
Herkese Merhaba,
üst üste iki adet çizgilerim var bu çizgilerin rengi cyan ve red. (başka renk olamaz)
bu iki renkten sadece cyan olanlarını silmek istiyorum.
Not olarak ilave etmek isterim üst üste olmayan cyan renginde çizgilerde mevcut
o yüzden filter seçeneği falan işe yaramıyor, özellikle üst üste gelen çizgilerin içerisinde olması gerek
bu cyan renklerin. Yardımlarınız önemli teşekkürler

BLack|E (15.06.2023 06:10 GMT)

15.06.2023 11:47    

alumina
Alıntı
BLack|E :

Kod:

(defun c:komut (/)
  (rengi "red" olan cizgileri sec.)
    (donguye basla
      (ilk cizginin bas ve son noktalarini alip
         basi ve sonu bu koordinatlarda, rengide "cyan" olan
           cizgileri sec.)
      (donguye basla
        (sil)
      )
    )
  ) (prin1)
)

01.08.2023 12:32    

selcukkpr
Herkese merhaba,
Arkadaşlar ben Özbekistanda çalışıyorum. Biliyorsunuz burada projeler Rusça. Türkiye'den gelen projelerde MTEXT lerin fontları wturkce olarak kalmış. Umarım alttaki resimleri doğru yükleyebilmişimdir.
Göreceğiniz üzere wturkce fontu kiril alfabesi ile uyuşmuyor saçma sapan şekiller semboller ortaya çıkıyor. Teker teker hepsini bulup içerisine girip başka bir fonta getirmem gerekiyor. Bunun kolay bir yolu var mıdır? STYLE değil Font. Teşekkür ederim.

selcukkpr (05.08.2023 03:25 GMT)

15.08.2023 04:43    

mttlp
Hepsini seçersin sonra style propertiues menüsünden değiştirirmişim sonrada yası yüksekliğini ayarlarsın

19.08.2023 08:14    

alisezgin
merhaba arkadaşlar bir sorum olacak : 100 farklı plinem var , hepsi farklı layerlarda ve hepsinin rengi farklı (ByLayer) , bunların tamamını tek layer yapacağım(matchprop) lakin renkleri de değişiyor. renkler değişmeden layer değiştirme şansım var mıdır? teşekkürler

19.08.2023 17:30    

alumina
Alıntı
alisezgin :


Kod:

(defun c:qw (/ dc ss ns i s0)
            (vl-load-com)
  (if (and (setq dc (vla-get-ActiveDocument
               (vlax-get-acad-object))
          ss (ssget '((0 . "LwPolyline"))))
        (setq ns (ssget ":S")))
    (progn (vla-StartUndomark dc)
      (repeat (setq i (sslength ss))
        (setq i (1- i)
          s0 (vlax-ename->vla-object
               (ssname ss i)))
        (mapcar '(lambda(a b)
          (vl-catch-all-apply 'vlax-put
            (list s0 a b))) '(Layer Color)
              (list (vla-get-Layer (vlax-ename->vla-object
                  (ssname ns 0)))
                (vla-get-Color (vla-Item (vla-get-Layers dc)
                  (vla-get-Layer s0))))))
      (vla-EndUndomark dc)
    )
  ) (prin1)
)

11.09.2023 11:54    

staluer
merhaba,
polyline çizginin üstüne çizgi uzunluğunu yazacak bir lips arıyorum.

Ama şöyle ayrıntılar var.
Çizgi uzunluğuna +30 ekleyip 10luk olarak yukarı yuvarlayacak.
Örnek:
Çizgi Uzunluğu 96,54 ise 96,54+30=126,54 değerini 130 olarak yazacak.

Bir de LAYER adını başa yazarak araya "/" işareti koyacak
Örnek:
LYR-A / 130 şeklinde

Böyle bir lips mümkün müdür?

Teşekkürler.

11.09.2023 15:29    

mttlp
Alıntı
staluer :

Özel lisp yapılır mümkündür istediğin
Özelden yazarsan yapabilirim

merhaba,
polyline çizginin üstüne çizgi uzunluğunu yazacak bir lips arıyorum.
Ama şöyle ayrıntılar var.
Çizgi uzunluğuna +30 ekleyip 10luk olarak yukarı yuvarlayacak.
Örnek:
Çizgi Uzunluğu 96,54 ise 96,54+30=126,54 değerini 130 olarak yazacak.
Bir de LAYER adını başa yazarak araya "/" işareti koyacak
Örnek:
LYR-A / 130 şeklinde
Böyle bir lips mümkün müdür?
Teşekkürler.

14.10.2023 12:32    

atlas6336
Merhabalar benim elimde şöyle bir proje var.
Projedeki düğüm numaralarını ve ara mesafeleri excele aktarmak istiyorum.
örneğin 1360 ila 1301 düğüm numaraları arasındaki 69.28 olan mesafeyi autocad den seçerek excele
A B C
1360 69.28 1301

bu şekilde excele aktarmak istiyorum. Diğer bir ara mesafede iste alt satırdan devam etmesi gerekiyor ve excele aktardığım mesafelerde boyalı şekilde olursa ya da bir katmanda toplanırsa daha iyi olur.


14.10.2023 17:44    

mttlp
Alıntı
atlas6336 :
Ücretli olarak yapabilirim mesaj atarsan


Merhabalar benim elimde şöyle bir proje var.
Projedeki düğüm numaralarını ve ara mesafeleri excele aktarmak istiyorum.
örneğin 1360 ila 1301 düğüm numaraları arasındaki 69.28 olan mesafeyi autocad den seçerek excele
A B C
1360 69.28 1301
bu şekilde excele aktarmak istiyorum. Diğer bir ara mesafede iste alt satırdan devam etmesi gerekiyor ve excele aktardığım mesafelerde boyalı şekilde olursa ya da bir katmanda toplanırsa daha iyi olur.


23.10.2023 10:57    

hasatan06
Merhaba arkadaşlar.
Şöyle bir lispe ihtiyacım var.
Çizim içindeki seçtiğim objeleri orjinal koordinatında farklı kaydetmek istiyorum.
Teker teker seçerek yeni sayfaya orj koordinatta kopyalayıp kaydediyorum.
Bu işlemi hızlandırmak için söylediğim gibi bir lisp varmı?
Teşekkürler

23.10.2023 17:09    

alumina
Alıntı
hasatan06 :

Kod:

;****Secilen nesneleri olusturulan klasore
;      WBlock olarak save eder..****

(defun c:qw (/ dc sl n ss dr i ns)
            (vl-load-com)
  (if (and (setq dc (vla-get-ActiveDocument
             (vlax-get-acad-object))
          sl (vla-get-SelectionSets dc)
            n 0 ss (ssget))
        (setq dr (getfiled "WBlock" "" "" 9)))
    (progn
      (vl-mkdir dr)
      (repeat (setq i (sslength ss))
        (setq i (1- i)
          ns (vla-Add sl "S")
            n (1+ n))
        (vlax-invoke ns 'AddItems (list
          (vlax-ename->vla-object (ssname ss i))))
        (vla-WBlock dc (strcat dr "/" (itoa n) ".dwg")
          (vla-Item sl "S"))
        (vla-Delete ns)
      )
    )
  ) (prin1)
)

25.10.2023 11:42    

hasatan06
teşekkürler
Alıntı
alumina :

alumina (25.10.2023 12:27 GMT)

06.12.2023 14:53    

hamdiatay
çizimde seçilen rectangle en ve boy larını dosyaya yazdırmak istiyorum. isim,kısa kenar,uzun kenar formatında cvs dosyasına nasıl yazdırabilirim.

18.01.2024 21:37    

brazor58
[img]öncelikle herkese merhaba yanyana birleşik geometrik şekillerim var. ben bunların herbirini boundray komutuyla öncelikle polyline haline getiriyorum. daha sonra geometrik şekillerimin merkezine doğru 0.75 mm ofsetliyorum tek tek (yani iki geometrik şekilimin arasındaki mesafe 1.5 mm oluyor). Daha sonra bu geometrik cisimlerimin birleştiği yüzeylerden birbirlerine vağlıyorum. Eğer 10 cm ve üzerindeyse (yüzeylerin birbirine bakan çizgileri) bunları 3 noktadan birleştiriyorum.
1. birleşim çizginin başlangıç noktasından merkeze doğru giderken 5mm ilerleyip 5mm bağlanacak şekilde. 2.birleşim tam merkezde 5mm bağlanacak şekilde 3. birleşimde çizginin bitiş noktasından 5 mm merkeze doğru ilerledikten sonra 5mm birleşecek şekilde.
eğer 10cm altındaysa çizgibunu 2 yerden birbirine bağlayacağım. bunda merkezden bağlamayacağım yanlızca daha deminki gibi köşelerden ama sadece.
eğer 2.5 cm nin altındaysa karşılıklı çizgiler bunuda yanlızca merkezden 6mm le bağlayabileceğim bir lispe ihtiyacım var. bide eğer yapabilirseniz ben lispin üzerinde o ölçülerle yeri geldiğinde değişiklik yapabilmem için ufak notlar ekleyebilir misiniz. Biraz karmaşık geldiyse fotoğraflarlada açıklayabilirim. eğer yapabilirseniz size çok ama çok minnettar kalacağım.

19.01.2024 04:29    

mttlp
Yapılır uğraşmak lazım özelden yardımcı olabilirim







img]öncelikle herkese merhaba yanyana birleşik geometrik şekillerim var. ben bunların herbirini boundray komutuyla öncelikle polyline haline getiriyorum. daha sonra geometrik şekillerimin merkezine doğru 0.75 mm ofsetliyorum tek tek (yani iki geometrik şekilimin arasındaki mesafe 1.5 mm oluyor). Daha sonra bu geometrik cisimlerimin birleştiği yüzeylerden birbirlerine vağlıyorum. Eğer 10 cm ve üzerindeyse (yüzeylerin birbirine bakan çizgileri) bunları 3 noktadan birleştiriyorum.
1. birleşim çizginin başlangıç noktasından merkeze doğru giderken 5mm ilerleyip 5mm bağlanacak şekilde. 2.birleşim tam merkezde 5mm bağlanacak şekilde 3. birleşimde çizginin bitiş noktasından 5 mm merkeze doğru ilerledikten sonra 5mm birleşecek şekilde
Yapılır uğraşmak lazım özelden yardımcı olabilirim .
eğer 10cm altındaysa çizgibunu 2 yerden birbirine bağlayacağım. bunda merkezden bağlamayacağım yanlızca daha deminki gibi köşelerden ama sadece.
eğer 2.5 cm nin altındaysa karşılıklı çizgiler bunuda yanlızca merkezden 6mm le bağlayabileceğim bir lispe ihtiyacım var. bide eğer yapabilirseniz ben lispin üzerinde o ölçülerle yeri geldiğinde değişiklik yapabilmem için ufak notlar ekleyebilir misiniz. Biraz karmaşık geldiyse fotoğraflarlada açıklayabilirim. eğer yapabilirseniz size çok ama çok minnettar kalacağım.

19.01.2024 11:59    

alumina
Alıntı
brazor58 :


Bu resmin .dwg dosyasini paylasir misiniz.

21.01.2024 10:47    

brazor58
Alıntı

Alıntı
brazor58 :
[img]öncelikle herkese merhaba yanyana birleşik geometrik şekillerim var. ben bunların herbirini boundray komutuyla öncelikle polyline haline getiriyorum. daha sonra geometrik şekillerimin merkezine doğru 0.75 mm ofsetliyorum tek tek (yani iki geometrik şekilimin arasındaki mesafe 1.5 mm oluyor). Daha sonra bu geometrik cisimlerimin birleştiği yüzeylerden birbirlerine vağlıyorum. Eğer 10 cm ve üzerindeyse (yüzeylerin birbirine bakan çizgileri) bunları 3 noktadan birleştiriyorum.
1. birleşim çizginin başlangıç noktasından merkeze doğru giderken 5mm ilerleyip 5mm bağlanacak şekilde. 2.birleşim tam merkezde 5mm bağlanacak şekilde 3. birleşimde çizginin bitiş noktasından 5 mm merkeze doğru ilerledikten sonra 5mm birleşecek şekilde.
eğer 10cm altındaysa çizgibunu 2 yerden birbirine bağlayacağım. bunda merkezden bağlamayacağım yanlızca daha deminki gibi köşelerden ama sadece.
eğer 2.5 cm nin altındaysa karşılıklı çizgiler bunuda yanlızca merkezden 6mm le bağlayabileceğim bir lispe ihtiyacım var. bide eğer yapabilirseniz ben lispin üzerinde o ölçülerle yeri geldiğinde değişiklik yapabilmem için ufak notlar ekleyebilir misiniz. Biraz karmaşık geldiyse fotoğraflarlada açıklayabilirim. eğer yapabilirseniz size çok ama çok minnettar kalacağım.








Her yazan üçret karşılığında yazıyor. Yardımcı olabilecek yok sanırım ücretsizbi şekilde.

22.01.2024 06:33    

ehya
brazor58




Demek ki biraz zor ve zahmetli bir iş ki, ücret isteniyor. Neden ücretsiz yazılmasını bekliyorsunuz?
Sizler bu işten bu tür yazılımlarla vakit kazanarak kazanç elde ediyorsanız, bu işi yapanların da aynı düşüncede olması gayet doğal.

Lütfen emeğe saygı gösterelim....

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] [35] [40] [45] [50] [55] [60] [65] [70] [75] [80] [85] [90] [95] > 99 < [100] Sonraki Sayfa
Copyright © 2004-2022 SQL: 1.419 saniye - Sorgu: 112 - Ortalama: 0.01267 saniye